Page MenuHomePhabricator

Deprecation logging makes developing with Firebug a pain
Closed, ResolvedPublic

Description

When opening the DOM inspector of Firebug, MediaWiki's JavaScript assumes deprecated properties and methods are accessed (they probably are by Firebug) and sends a whole bunch of log messages. Since this takes, depending on whether they are sent to event.gif, usually about 10s per view of the properties tab, it makes web-developement with Firebug essentially ineffective and slow. I don't like the new built in Firefox debugging tools; they feel like made for touch devices (no context menus) and suffer from other serve usability issues. Also I am not sure I can trust them; one day I was finding them showing wrong stack traces and variable values that were simply not correct. Is there a way to turn off deprecation logging?

Event Timeline

Rillke created this task.May 26 2015, 10:51 AM
Rillke raised the priority of this task from to Needs Triage.
Rillke updated the task description. (Show Details)
Rillke added a project: JavaScript.
Rillke added a subscriber: Rillke.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 26 2015, 10:51 AM

Similar issue affects IE11's development tools too. Personally I think it's a bug in the tools, not in MediaWiki.

Similar issue affects IE11's development tools too. Personally I think it's a bug in the tools, not in MediaWiki.

Indeed, it is. However, it's just making JS fiddling with MediaWiki no fun. Perhaps we could limit the printed deprecation warnings (I think the request to event.gif or printing the stack trace is the really slow part) to 3 per page view in non-debug mode or have a simple switch to turn them off?

Change 268466 had a related patch set uploaded (by PlasmaPower):
Only log deprecations once

https://gerrit.wikimedia.org/r/268466

Krinkle claimed this task.Jul 27 2016, 2:00 AM
Krinkle triaged this task as High priority.
Krinkle set Security to None.
Krinkle moved this task from Inbox to Assigned on the MediaWiki-ResourceLoader board.

Change 268466 abandoned by PlasmaPower:
resourceloader: Log each deprecation only once from mw.log.deprecate

Reason:
I'm not sure this is a solvable problem, at least not easily.

https://gerrit.wikimedia.org/r/268466

Change 268466 restored by Krinkle:
resourceloader: Log each deprecation only once from mw.log.deprecate

https://gerrit.wikimedia.org/r/268466

Change 268466 merged by jenkins-bot:
resourceloader: Log each deprecation only once from mw.log.deprecate

https://gerrit.wikimedia.org/r/268466

Krinkle closed this task as Resolved.Jul 29 2016, 9:10 PM
Krinkle added a project: Notice.
Krinkle changed the status of subtask T130879: Remove $wgIncludeLegacyJavaScript from Open to Stalled.Apr 28 2018, 2:21 AM
Restricted Application added a project: Performance-Team. · View Herald TranscriptApr 28 2018, 2:21 AM